package config

import (
	"cicv-data-closedloop/common/config/c_log"
	"cicv-data-closedloop/common/util"
	"time"
)

var log = c_log.GlobalLogger

// SendResourceUsage 保存资源占用情况
func SendResourceUsage() {
	for {
		time.Sleep(time.Duration(2) * time.Second)
		responseString, err := util.HttpPostJsonResponseString(
			CloudConfig.Monitor.Url,
			map[string]string{
				"totalCpuUsage":    util.ToString(util.GetCpuPercent()),
				"totalMemoryUsage": util.ToString(util.GetMemoryPercent()),
				"top10Process":     util.ToString(util.GetTop10()),
				"deviceNumber":     LocalConfig.EquipmentNo,
				"socIp":            LocalConfig.Node.Ip,
			},
		)
		if err != nil {
			log.Errorf("发送数据监控信息报错%v，响应信息为：%v", err, responseString)
		}
		log.Infof("发送数据监控信息成功，响应信息为：%v", responseString)
	}

}
